<template>
  <q-card square bordered dark flat class="q-my-xl q-pa-md">
    <q-card-section>
      <q-input
        square
        dark
        outlined
        v-model="project.name"
        type="text"
        label="Nom de Projecte"
        placeholder="Nom projecte (no cal)"
      />
    </q-card-section>
    <q-card-section>
      <q-input
        square
        dark
        outlined
        v-model="project.descriptionShort"
        type="textarea"
        label="Descripció curta"
        placeholder="Descripció curta del projecte que somnieu"
        class="full-width"
      />
    </q-card-section>
    <q-card-section>
      <FormSectionTitle subtitle="Quins propòsits somnieu pel Projecte?" />

      <q-option-group
        v-if="isLoadedPurposes && purposes.length > 0"
        :options="purposes"
        type="checkbox"
        v-model="project.purposes"
      />
    </q-card-section>
    <q-card-section>
      <FormSectionTitle subtitle="On voleu establir el projecte?" />

      <q-option-group
        v-if="isLoadedLocations && locations.length > 0"
        :options="locations"
        type="checkbox"
        v-model="project.locations"
      />
    </q-card-section>
  </q-card>
</template>

<script setup lang="ts">
import { storeToRefs } from 'pinia'

import { useUCStore } from 'src/stores/UCprofile'
import { nextTick, onMounted, ref } from 'vue'
import FormSectionTitle from 'src/components/mxv/FormSectionTitle.vue'

/**
 * UC PROFILE STORE
 */
const store = useUCStore()
const { project } = storeToRefs(store)

const purposes = ref<object[]>([])
const locations = ref<object[]>([])

const isLoadedPurposes = ref<boolean>(false)

const isLoadedLocations = ref<boolean>(false)

onMounted(async () => {
  const locationslist = await store.getAllLocations()
  locationslist.comarques.forEach((item: string) => {
    console.log(item)

    locations.value.push({ label: item, value: item } as object)
  })

  const purposeslist = await store.getAllPurposes()
  purposeslist.forEach((item: string) => {
    purposes.value.push({ label: item, value: item } as object)
  })

  nextTick()
  isLoadedPurposes.value = true
  isLoadedLocations.value = true
})
</script>
